PHP E_WARNING being shown despite php.ini

I’m on OS X. I just upgraded to High Sierra 10.13.x from Sierra 10.12.x, and thus to PHP 7 from PHP 5. I suddenly started getting PHP Warning errors displayed in the browser. (It’s fine that PHP errors get displayed in the browser, but I didn’t want to see warnings.) No amount of tinkering with php.ini would fix this. Eventually I realized that the problem wasn’t with php.ini, but with WordPress itself. (Warnings in non-Wordpress PHP files weren’t displayed, as should be the case.) It appears that something in WordPress is overriding my error_reporting settings in php.ini.

How can I stop WordPress from doing this?

Read more here:: PHP E_WARNING being shown despite php.ini

Leave a Reply

Your email address will not be published. Required fields are marked *